# Generated by Django 3.0.3 on 2020-02-24 09:35

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ClassYear',
            fields=[
                ('year', models.CharField(max_length=4, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='Friends',
            fields=[
                ('name', models.CharField(max_length=30, primary_key=True, serialize=False)),
                ('hobby', models.CharField(max_length=20)),
                ('favorite', models.CharField(max_length=20)),
                ('year', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.ClassYear')),
            ],
        ),
    ]
